What you’re getting wrong about productivity ⌘ Read more
Maxime Buquet: Am I allowed to say no?
People often take photographs for granted. It does seem obvious in our society
that people like to appear with their friend on Facebook, TikTok, and what have
you.
Early on I started telling people I didn’t want to have my picture taken. It
has never really been clear why, not even to myself to be honest. It might have
been out of shyness – a trait that is still ever so present – or because I
didn’t like the way I look in them, or perhaps some other reason. But I kept
telling th … ⌘ Read more
“Lunduke’s Dad Jokes About Computers”
It’s time for The Lunduke Journal Spring Subscription Drive. Here’s one of the many free goodies for subscribers. ⌘ Read more
Kevin Rudd Saw This Coming href=”https://txt.sour.is/search?q=%23Shorts”>#Shorts** ⌘ Read more
Galaxies
⌘ Read more
[47°09′00″S, 126°43′57″W] Raw reading: 0x6236DF01, offset +/-4
Remember when Apple built a Mac OS running on top of Solaris and HP-UX? Seriously. It happened.
Macintosh Application Environment for Unix – from back in 1994. ⌘ Read more
Are we talking about space or… the French cuisine? ⌘ Read more
Text-to-speech is becoming more popular
I am a slow reader. I read a lot on websites, but not quickly and I often get distracted while reading. What I like therefore is a pre-reading option. ⌘ Read more
Happy Friday. Here’s some funny programming pictures.
Ok. They’re not *all* about actual programming. Some are about Javascript. ⌘ Read more
Equations in Motion – Bowling with Dr. Dave Alciatore & Neil deGrasse Tyson ⌘ Read more
Apple M1 Ultra & NUMA - Computerphile ⌘ Read more
[47°09′58″S, 126°43′03″W] Raw reading: 0x62343C01, offset +/-2
Annotate PDFs on Linux
This post is about a GUI tool called pdfrankestein that
fills a gap on mostly Linux machines where a powerful and easy to use
PDF annotator does not exist.
Adobe Acrobat® on Windows and Mac allow you to add text, drawings and
signatures to PDF documents. This is useful when filling forms or
marking notes to send back to someone. Such a tool with similar
capabilities and easy of use does not exist on Linux. The reason that’s
often cited is that PDF is a c … ⌘ Read more
Advanced Techniques
⌘ Read more
PEP 686: Make UTF-8 mode default
This PEP proposes enabling UTF-8 mode by default. ⌘ Read more
Release Radar · February 2022 Edition
Our community has shipped lots of open source project updates in the last month. Here’s a few of our staff picks. ⌘ Read more
Floods: friendlyjordies on the scene ⌘ Read more
At work I may soon be able to program in Java 17 instead of Java 8. But still with Eclipse. 😅 ⌘ Read more
I didn’t get around to blogging about the fact that Miniflux recently got a new version. With it, if an entry doesn’t have a title, it finally shows a snippet of the content instead of just the URL as the title. A great new feature if you follow a lot of micro blogs. Regarding micro-blogs, I’m also in the process of reading Manton Reece’s book draft. ⌘ Read more
Going to Space with William Shatner & Neil deGrasse Tyson ⌘ Read more
[47°09′01″S, 126°43′26″W] Raw reading: 0x62336911, offset +/-2
Image rebase and improved remote cache support in new BuildKit
We’ve just shipped new versions of the BuildKit builder engine, Dockerfile 1.4 frontend, and Docker We’ve just shipped new versions of the BuildKit builder engine, Dockerfile 1.4 frontend, and Docker Buildx CLI. Each of these comes with many new features. In this blog post, I’ll show one of them, a new copy mode in Dockerfiles, […]
The post [Image rebase and improved remote cache support in new BuildKit](https://w … ⌘ Read more
[47°09′52″S, 126°43′25″W] Reading: 1.43 Sv
Honest Government Ad | The Floods 🌊 ⌘ Read more
[47°09′48″S, 126°43′30″W] Reading: 1.71 Sv
お知らせ:CyberNewsFlash「ISC BIND 9における複数の脆弱性について(2022年3月)」 ⌘ Read more
South Park’s parody of War Games is epic
Here’s a detailed analysis of the Linux and DOS references. ⌘ Read more
お知らせ:JPCERT/CC Eyes「サイバー政策動向を知ろう Watch! Cyber World vol.2|ランキング」 ⌘ Read more
You’ll look at the tides differently after this video… ⌘ Read more
Sam Whited: Joanna
”`
Sipping my tea, I think back and remember Joanna:
Quietness isn’t the same for me now.
You came to America, wondering what you’d find:
Atlanta in a forest of broken dreams,
A people in turmoil, and no one seems to know why.
Communities falter before they’ve begun.
A lawnmower hums and I wake from my reverie.
I’d forgotten, about your America.
Driving to the North, far away from the city.
You looked for meaning in every farm passing by.
I bought you peanuts and gave you a tour of the mountains.
We d … ⌘ Read more”`
@ullarah@txt.quisquiliae.com Didn’t we talk about at some point a way to set the maximum height of te panels with some UX way to read the rest? 🤔 Is that still on the cards or a bad ideas? 🤔
Consequences for Police after friendlyjordies Arrest? ⌘ Read more
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
Speed boost achievement unlocked on Docker Desktop 4.6 for Mac
Introducing virtiofs The 4.6 release of Docker Desktop for Mac contains a number of changes that drastically improve file sharing performance for macOS users. Firstly, developers now have the option of using a new experimental file sharing implementation called virtiofs (the current default is gRPC-FUSE). Secondly, improvements have been made to the way that files […]
The post [Speed boost achievement unlocked on … ⌘ Read more
Vulnerability Alert: Avoiding “Dirty Pipe” CVE-2022-0847 on Docker Engine and Docker Desktop
You might have heard about a new Linux vulnerability that was released last week, CVE-2022-0847, aka “Dirty Pipe”. This vulnerability overwrites supposedly read-only files in the Linux kernel host, which could enable attackers to modify files inside the host images from the container instance. If you use Docker Engine natively, we recommend you should update … ⌘ Read more
Save time with partial re-runs in GitHub Actions
It is now possible to re-run only failed jobs or a single job in GitHub Actions workflows. ⌘ Read more
お知らせ:CyberNewsFlash「Apple製品のアップデートについて(2022年3月)」(更新) ⌘ Read more
I would HIGHLY recommend reading up on the keybase architecture. They designed device key system for real time chat that is e2e secure. https://book.keybase.io/security
A property of ec keys is deriving new keys that can be determined to be “on curve.” bitcoin has some BIPs that derive single use keys for every transaction connected to a wallet. And be derived as either public or private chains. https://qvault.io/security/bip-32-watch-only-wallets/
I would HIGHLY recommend reading up on the keybase architecture. They designed device key system for real time chat that is e2e secure. https://book.keybase.io/security
A property of ec keys is deriving new keys that can be determined to be “on curve.” bitcoin has some BIPs that derive single use keys for every transaction connected to a wallet. And be derived as either public or private chains. https://qvault.io/security/bip-32-watch-only-wallets/
Critical Race Theory course being taught at Peel high school
Consensus Time
⌘ Read more
Neil deGrasse Tyson Explains Rainbows ⌘ Read more
INTERFERENCE: Freeland’s office “pressured” legacy media to change critical stories
Only 14% of Canadians “strongly approve” of Trudeau’s pandemic response: poll
Why everyone should be concerned about Ontario’s critical race theory bill
Leslyn Lewis says she’s running on principles and respect for others
First Nations chief warns MPs as Emergencies Act inquiry begins
Conservative leadership race turns nasty between Poilievre and Brown
The first RISC-V portable computer is now available
The DevTerm R-01 is a RISC-V based “slabtop” computer. ⌘ Read more
Docker: Nine Years YOUNG
Nine years ago today, March 15, 2013, Solomon Hykes, the founder of Docker, first demoed Docker publicly to the world at PyCon. On stage Solomon noted that, for developers, “shipping to the server is hard,” and thus he and the early team designed Docker to help developers more easily build, share, and run any app, […]
The post Docker: Nine Years YOUNG appeared first on Docker Blog. ⌘ Read more
Trudeau, Freeland met with Ukrainian neo-Nazi party cofounder
fixated ⌘ Read more
お知らせ:CyberNewsFlash「Apple製品のアップデートについて(2022年3月)」 ⌘ Read more
Doug Ford tells Ontario school boards to drop masks as ordered
お知らせ:JPCERT/CC Eyes「Anti-UPX Unpackingテクニック」 ⌘ Read more
Happy Pi Day! ⌘ Read more
B.C. premier John Horgan all insults toward Victoria protests
Docker Business now available for purchase on the Amazon Web Services Marketplace
Today, Docker and Amazon are happy to announce the availability of Docker Business on the Amazon Web Services (AWS) Marketplace. This is a huge step in providing more choice and flexibility to Docker and AWS customers, so you can procure the Docker Application Development Platform – including leading tools, services, integrations, and content – through […]
The post [Docker Bus … ⌘ Read more
Blender + LibSM64 = Play Mario64… inside your own 3D world
Because… why not! ⌘ Read more
Nix 2.7.0 released
We’re pleased to announce the availability of Nix 2.7.0. It will be
available from
NixOS - Getting Nix / NixOS.
Here are the release notes:
Nix will now make some helpful suggestions when you mistype something
on the command line. For instance, if you type nix build
nixpkgs#thunderbrd, it will suggest
thunderbird.A number of “default” flake output attributes have been renamed.
These are:defaultPackage.<system></system>→packag ... ⌘ [Read more](https://nixos.org/blog/announcements.html#nix-2.7.0)
Erlang Solutions: FinTech Matters newsletter | March 2022
Subscribe to receive FinTech Matters and other great content, notifications of events and more to your inbox, we will only send you relevant, high-quality content and you can unsubscribe at any time.
Read on to discover what really matters for tech in fina … ⌘ Read more
The 1980s: When PC game box art used pictures of real people
So cheesy. But so awesome. ⌘ Read more
Prosodical Thoughts: Prosody 0.12.0 released
ÄNTLIGEN! It’s finally here! After 3 years of development and through some chaotic times, Prosody 0.12.0 is released!
What’s the significance of this release? Like many software projects, Prosody follows a “branch” development/release model. We frequently make minor releases with bug fixes and improvements from our stable branch, while we implement more adventurous changes in our development branch, ready for the next major release.
Well, this is one of those adventurous … ⌘ Read more
**The Pockit modular, handheld computer **
… looks friggin’ awesome. I want one. ⌘ Read more
Deviled Eggs
⌘ Read more
Media’s Climate Lies Revealed ⌘ Read more
Move mastered
Finally it’s done, after a super exhausting day, I’m finally lying in bed, the move is done! All the furniture I need and also a total of 18 moving boxes with my stuff are now here. My girlfriend and her family helped me with it. With a total of 8 people, everything went quickly and before 3pm we were ready so that my girlfriend could help me unpack boxes. ⌘ Read more
[47°09′23″S, 126°43′24″W] Reading: 1.62000 PPM
[47°09′14″S, 126°43′02″W] Reading: 1.67 Sv
THIS is why Daylight Savings exists?! ⌘ Read more
The Lunduke Journal welcomes all nerds – including Russians
… and Ukrainians… and Democrats… and Republicans… and… ⌘ Read more
Man celebrates 20 years of telling people, “BTW, I run Arch”
(Also Arch, itself, is now 20 years old.) ⌘ Read more
Hello! 👋 I haven’t lost the desire to blog, nor have I decided on Digital Detox, it’s just that I’m currently busy moving. Instead of continuing to program my own stuff after work and pouring my thoughts into blog articles, I had to pack boxes. Today was my last workday in the home office in the old apartment, Monday is the first workday in the home office in my new apartment. Then my blogging frequency will probably remain rather low, because I still have to clear out the old apartment, but I may have a little more … ⌘ Read more
False Dichotomy
⌘ Read more
Have computers become bloated and over complicated?
And why is the answer “oh-my-gosh-yes-are-you-kidding”? ⌘ Read more
Cosmic Queries – The Stoner Episode with Janna Levin & Neil deGrasse Tyson ⌘ Read more
Improved management for GitHub Enterprise owners
We’ve introduced several new features to help enterprise owners more easily manage their accounts, including two features now in public beta. ⌘ Read more
[47°09′50″S, 126°43′02″W] Reading: 0.24 Sv
[47°09′03″S, 126°43′09″W] Raw reading: 0x622993E2, offset +/-4
お知らせ:「インシデント報告Webフォーム」メンテナンス(2022/03/24)のお知らせ ⌘ Read more
Kristo’s Charges Dropped ⌘ Read more
お知らせ:JPCERT/CC Eyes「制御システムセキュリティカンファレンス 2022 開催レポート」 ⌘ Read more
That time I worked for Amazon.com – in a haunted insane asylum
… on a desk made out of an old door… in a concrete room with a drain in the floor. ⌘ Read more
Let’s have this ready for when the aliens visit Earth… ⌘ Read more